# $Revision: 1.17.2.3 $, $Date: 2005/05/02 21:16:33 $
#
# _with_mysql - enable mysql (instead of postgresql) support
# _without_sql - without pgsql nor mysql support
# _without_gd - without statusmap and trends, which require gd library
%{!?_without_sql:%{!?_with_mysql:%define _with_pgsql 1}}

Summary:	Host/service/network monitoring program
Summary(pl):	Program do monitorowania serwerw/usug/sieci
Summary(pt_BR):	Programa para monitorao de mquinas e servios
Name:		netsaint
Version:	0.0.7
Release:	3
License:	GPL
Group:		Networking
Source0:	http://www.netsaint.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	5cabd55a73a618acbc82adc76d6ef382
Source1:	%{name}-apache.conf
Source2:	%{name}.init
Patch0:		%{name}-pgsql.patch
URL:		http://www.netsaint.org/
%{!?_without_gd:BuildRequires:	gd-devel}
%{?_with_pgsql:BuildRequires:	postgresql-devel}
%{?_with_mysql:BuildRequires:	mysql-devel}
PreReq:		rc-scripts
PreReq:		sh-utils
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	netsaint-plugins
Requires:	apache
Conflicts:	iputils-ping < 1:ss020124
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetSaint is a program that will monitor hosts and services on your
network. It has the ability to email or page you when a problem arises
and when a problem is resolved. NetSaint is written in C and is
designed to run under Linux (and some other *NIX variants) as a
background process, intermittently running checks on various services
that you specify.

The actual service checks are performed by separate "plugin" programs
which return the status of the checks to NetSaint. The plugins are
available in netsaint-plugins packages.

%description -l pl
NetSaint to program, ktry monitoruje serwery oraz usugi w naszej
sieci. Posiada on moliwo wysyania informacji o wystpieniu oraz
rozwizaniu problemu. NetSaint zosta napisany w C oraz jest
zaprojektowany do pracy pod Linuksem (i niektrymi innymi uniksami)
jako proces pracujcy w tle i bezustannie wykonujcy pewne operacje
sprawdzajce.

Waciwe sprawdzanie jest wykonywane przez osobne programy
("wtyczki"), ktre zwracaj informacje o statusie do NetSainta.
Wtyczki s dostpne na stronie w pakietach netsaint-plugins.

%description -l pt_BR
O NetSaint  um programa que monitora mquinas e servios na sua rede.
Ele pode enviar um email ou um aviso de pager para o administrador
quando surgir um problema e quando ele for resolvido. NetSaint 
escrito em C e foi desenvolvido para rodar em plataformas Linux (e
algumas variaes de *NIX) como um processo em segundo plano,
periodicamente executando checagens nos diversos servios que forem
especificados.

%package devel
Summary:	Include files that Netsaint-related applications may compile against
Summary(pl):	Pliki nagwkowe, wykorzystywane przez aplikacje netsainta
Summary(pt_BR):	Arquivos de cabealho necessrios para desenvolvimento de aplicativos para o NetSaint
Group:		Development/Libraries

%description devel
This package provides include files that Netsaint-related applications
may compile against.

%description devel -l pl
Ten pakiet dostarcza pliki nagwkowe, ktre mog by wykorzystywane
przez aplikacje zwizane z netsaintem podczas kompilacji.

%description devel -l pt_BR
Este pacote contm arquivos de cabealho usados no desenvolvimento de
aplicativos para o NetSaint.

%prep
%setup -q
%patch -p1

%build
%configure2_13 \
	--with-netsaint-user=%{name} \
	--with-netsaint-grp=%{name} \
	--with-command-user=nobody \
	--with-command-grp=nobody \
	--with-init-dir=/etc/rc.d/init.d \
	--with-lockfile=/var/run/%{name}.pid \
	--with-gd-lib=%{_libdir} \
	--with-gd-inc=%{_includedir} \
	--with-cgiurl=/netsaint/cgi-bin \
	--with-htmurl=/netsaint \
	--with-ping_command='/bin/ping -n %%s -c %%d' \
	%{?_with_mysql:--with-mysql-xdata --with-mysql-status --with-mysql-comments --with-mysql-extinfo --with-mysql-retention --with-mysql-lib=%{_libdir} --with-mysql-inc=%{_includedir}/mysql} \
	%{?_with_pgsql:--with-pgsql-xdata --with-pgsql-status --with-pgsql-comments --with-pgsql-extinfo --with-pgsql-retention --with-pgsql-lib=%{_libdir} --with-pgsql-inc=%{_includedir}/postgresql} \
	%{?_without_gd:--disable-statusmap --disable-trends} \
	--exec-prefix=%{_sbindir} \
	--bindir=%{_sbindir} \
	--sbindir=%{_libdir}/%{name}/cgi \
	--libexecdir=%{_libdir}/%{name}/plugins \
	--datadir=%{_datadir}/%{name} \
	--sysconfdir=%{_sysconfdir}/netsaint \
	--localstatedir=%{_var}/log/%{name}

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,httpd}
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins
install -d $RPM_BUILD_ROOT%{_var}/log/%{name}

install common/locations.h	$RPM_BUILD_ROOT%{_includedir}/%{name}

%{__make} install install-html install-config install-init install-commandmode fullinstall \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_OPTS="" \
	INIT_OPTS="" \
	COMMAND_OPTS=""

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/%{name}.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}command.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid %{name}`" ]; then
	if [ "`getgid %{name}`" != "72" ]; then
		echo "Error: group %{name} doesn't have gid=72. Correct this before installing %{name}." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 72 -f %{name}
fi
if [ -n "`id -u %{name} 2>/dev/null`" ]; then
	if [ "`id -u %{name}`" != "72" ]; then
		echo "Error: user %{name} doesn't have uid=72. Correct this before installing %{name}." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 72 -d %{_libdir}/%{name} -s /bin/false -c "%{name} User" -g %{name} %{name} 1>&2
fi

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart 1>&2
fi

%preun
if [ "$1" = "0" ] ; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	# nagios, which is obsoleting us, could have already overtaken our
	# user/group, so ignore any errors.
	/usr/sbin/userdel %{name} >/dev/null 2>&1 || :
	/usr/sbin/groupdel %{name} >/dev/null 2>&1 || :
fi

%files
%defattr(644,root,root,755)
%doc Changelog README* UPGRADING contrib/database
%attr(640,root,http) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/%{name}.conf
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%attr(751,root,netsaint) %dir %{_sysconfdir}/%{name}
%attr(644,root,netsaint) %config(noreplace) %verify(not size mtime md5) /etc/%{name}/netsaint.cfg
%attr(644,root,netsaint) %config(noreplace) %verify(not size mtime md5) /etc/%{name}/hosts.cfg
%attr(640,root,netsaint) %config(noreplace) %verify(not size mtime md5) /etc/%{name}/commands.cfg
%attr(640,root,netsaint) %config(noreplace) %verify(not size mtime md5) /etc/%{name}/resource.cfg
%attr(640,root,http) %config(noreplace) %verify(not size mtime md5) /etc/%{name}/nscgi.cfg
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/cgi
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/cgi/*.cgi
%attr(755,root,root) %{_sbindir}/%{name}
%{_datadir}/%{name}
%attr(771,netsaint,http) %{_var}/log/%{name}

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netsaint.spec,v $
Revision 1.17.2.3  2005/05/02 21:16:33  glen
- add source0-md5

Revision 1.17.2.2  2005/05/02 19:59:39  glen
- nagios upgrade fix. STBR

Revision 1.17.2.1  2003/07/11 12:02:08  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.17  2002/08/17 08:20:59  qboosh
- changed ping path to /bin/ping
- better messages in pre, don't use macros where they shouldn't be used
- release 2

Revision 1.16  2002/04/13 12:47:55  orzech
- fixed config files perms
- tested - works, STBR (for netsaint-plugins too)

Revision 1.15  2002/04/12 23:02:13  orzech
- updated to 0.0.7
- rel 0.1 - work in progress

Revision 1.14  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:14:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/22 10:52:13  kloczek
- release 2.

Revision 1.11  2001/12/20 13:01:55  qboosh
- _without_gd

Revision 1.10  2001/12/18 15:38:01  kloczek
- merge translations from Conectiva.

Revision 1.9  2001/12/17 15:43:10  qboosh
- fixed last change, normally host address must be first...

Revision 1.8  2001/12/17 14:47:06  qboosh
- pass ping_command to configure - don't try to detect it in configure

Revision 1.7  2001/12/14 12:53:46  qboosh
- fixed init script: allow starting netsaint after unclean shutdown
- pgsql patch: fix postgresql include path
- _without_sql - allow build without any SQL server

Revision 1.6  2001/12/13 10:18:13  qboosh
- fixes in pl description

Revision 1.5  2001/11/28 10:40:06  orzech
- fixed some typos

Revision 1.4  2001/10/31 13:34:19  misiek
- by default store data in PostgreSQL database (bcond for MySQL)

Revision 1.3  2001/10/30 20:12:49  misiek
- use our init script

Revision 1.2  2001/10/26 19:25:01  misiek
- more updates/fixes

Revision 1.1  2001/10/26 17:05:23  misiek
- initial pld release; work in progress
